[gst-devel] gst/interfaces/xoverlay.h dependency

Sebastian Dröge sebastian.droege at collabora.co.uk
Tue Jun 9 18:18:38 CEST 2009

Am Dienstag, den 09.06.2009, 13:07 -0300 schrieb João Paulo Mafra:
> Hi,
> I'm trying to run the example in
> http://tristanswork.blogspot.com/2008/09/fullscreen-video-in-gstreamer-with-gtk.html , but there is a dependency like below:
> #include <gst/interfaces/xoverlay.h>
> I'm trying to compile it on ubuntu 9.04, and I installed the package
> libgstreamer0.10-dev. I need some other package?
> I saw the list of available plugins in gstreamer site, but no one
> seems to be called "x overlay".

You need libgstreamer-plugins-base0.10-dev, which contains the headers,
etc of the gst-plugins-base libraries.
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: Dies ist ein digital signierter Nachrichtenteil
URL: <http://lists.freedesktop.org/archives/gstreamer-devel/attachments/20090609/2553d13a/attachment.pgp>

More information about the gstreamer-devel mailing list